// Code generated by protoc-gen-go.
// source: gRPCServices.proto
// DO NOT EDIT!

/*
Package api is a generated protocol buffer package.

It is generated from these files:
	gRPCServices.proto

It has these top-level messages:
	RegisterRequest
	ErrorCode
	AuthRequest
	RegisteredUser
	Empty
	PostContractRequest
	JoinSignatureRequest
	ReadySignRequest
*/
package api

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
const _ = proto.ProtoPackageIsVersion1

// RegisterRequest message contains the client's email adress and his
// public key
type RegisterRequest struct {
	Email string `protobuf:"bytes,1,opt,name=email" json:"email,omitempty"`
	Key   string `protobuf:"bytes,2,opt,name=key" json:"key,omitempty"`
}

func (m *RegisterRequest) Reset()                    { *m = RegisterRequest{} }
func (m *RegisterRequest) String() string            { return proto.CompactTextString(m) }
func (*RegisterRequest) ProtoMessage()               {}
func (*RegisterRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

// ErrorCode message contains an error code (see dffs/dfssp/api/errorCodes.go)
// and a message
type ErrorCode struct {
	Code    int32  `protobuf:"varint,1,opt,name=code" json:"code,omitempty"`
	Message string `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
}

func (m *ErrorCode) Reset()                    { *m = ErrorCode{} }
func (m *ErrorCode) String() string            { return proto.CompactTextString(m) }
func (*ErrorCode) ProtoMessage()               {}
func (*ErrorCode) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

// AuthRequest message contains the client's email adress and the token used
// for authentication
type AuthRequest struct {
	Email string `protobuf:"bytes,1,opt,name=email" json:"email,omitempty"`
	Token string `protobuf:"bytes,2,opt,name=token" json:"token,omitempty"`
}

func (m *AuthRequest) Reset()                    { *m = AuthRequest{} }
func (m *AuthRequest) String() string            { return proto.CompactTextString(m) }
func (*AuthRequest) ProtoMessage()               {}
func (*AuthRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

// RegisteredUser message contains the generated client certificate
// and the CA root certificate (PEM-encoded)
type RegisteredUser struct {
	RootCert   []byte `protobuf:"bytes,1,opt,name=rootCert,proto3" json:"rootCert,omitempty"`
	ClientCert []byte `protobuf:"bytes,2,opt,name=clientCert,proto3" json:"clientCert,omitempty"`
}

func (m *RegisteredUser) Reset()                    { *m = RegisteredUser{} }
func (m *RegisteredUser) String() string            { return proto.CompactTextString(m) }
func (*RegisteredUser) ProtoMessage()               {}
func (*RegisteredUser) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

// Empty message is an empty message
type Empty struct {
}

func (m *Empty) Reset()                    { *m = Empty{} }
func (m *Empty) String() string            { return proto.CompactTextString(m) }
func (*Empty) ProtoMessage()               {}
func (*Empty) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{4} }

// PostContractRequest message contains the contract as SHA-512 hash, the list of signers
// as an array of string, and a comment
type PostContractRequest struct {
	Contract string   `protobuf:"bytes,1,opt,name=contract" json:"contract,omitempty"`
	Signer   []string `protobuf:"bytes,2,rep,name=signer" json:"signer,omitempty"`
	Comment  string   `protobuf:"bytes,3,opt,name=comment" json:"comment,omitempty"`
}

func (m *PostContractRequest) Reset()                    { *m = PostContractRequest{} }
func (m *PostContractRequest) String() string            { return proto.CompactTextString(m) }
func (*PostContractRequest) ProtoMessage()               {}
func (*PostContractRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{5} }

// JoinSignatureRequest message contains the contract to join unique identifier
// and the port the client will be listening at
type JoinSignatureRequest struct {
	ContractUuid string `protobuf:"bytes,1,opt,name=contractUuid" json:"contractUuid,omitempty"`
	Port         uint32 `protobuf:"varint,2,opt,name=port" json:"port,omitempty"`
}

func (m *JoinSignatureRequest) Reset()                    { *m = JoinSignatureRequest{} }
func (m *JoinSignatureRequest) String() string            { return proto.CompactTextString(m) }
func (*JoinSignatureRequest) ProtoMessage()               {}
func (*JoinSignatureRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{6} }

// ReadySignRequest contains the contract unique identitier that is ready to be signed
type ReadySignRequest struct {
	ContractUuid string `protobuf:"bytes,1,opt,name=contractUuid" json:"contractUuid,omitempty"`
}

func (m *ReadySignRequest) Reset()                    { *m = ReadySignRequest{} }
func (m *ReadySignRequest) String() string            { return proto.CompactTextString(m) }
func (*ReadySignRequest) ProtoMessage()               {}
func (*ReadySignRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{7} }

func init() {
	proto.RegisterType((*RegisterRequest)(nil), "api.RegisterRequest")
	proto.RegisterType((*ErrorCode)(nil), "api.ErrorCode")
	proto.RegisterType((*AuthRequest)(nil), "api.AuthRequest")
	proto.RegisterType((*RegisteredUser)(nil), "api.RegisteredUser")
	proto.RegisterType((*Empty)(nil), "api.Empty")
	proto.RegisterType((*PostContractRequest)(nil), "api.PostContractRequest")
	proto.RegisterType((*JoinSignatureRequest)(nil), "api.JoinSignatureRequest")
	proto.RegisterType((*ReadySignRequest)(nil), "api.ReadySignRequest")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// Client API for Platform service

type PlatformClient interface {
	Register(ctx context.Context, in *RegisterRequest, opts ...grpc.CallOption) (*ErrorCode, error)
	Auth(ctx context.Context, in *AuthRequest, opts ...grpc.CallOption) (*RegisteredUser, error)
	Unregister(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ErrorCode, error)
	PostContract(ctx context.Context, in *PostContractRequest, opts ...grpc.CallOption) (*ErrorCode, error)
	JoinSignature(ctx context.Context, in *JoinSignatureRequest, opts ...grpc.CallOption) (*ErrorCode, error)
	ReadySign(ctx context.Context, in *ReadySignRequest, opts ...grpc.CallOption) (*ErrorCode, error)
}

type platformClient struct {
	cc *grpc.ClientConn
}

func NewPlatformClient(cc *grpc.ClientConn) PlatformClient {
	return &platformClient{cc}
}

func (c *platformClient) Register(ctx context.Context, in *RegisterRequest, opts ...grpc.CallOption) (*ErrorCode, error) {
	out := new(ErrorCode)
	err := grpc.Invoke(ctx, "/api.Platform/Register", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *platformClient) Auth(ctx context.Context, in *AuthRequest, opts ...grpc.CallOption) (*RegisteredUser, error) {
	out := new(RegisteredUser)
	err := grpc.Invoke(ctx, "/api.Platform/Auth", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *platformClient) Unregister(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*ErrorCode, error) {
	out := new(ErrorCode)
	err := grpc.Invoke(ctx, "/api.Platform/Unregister", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *platformClient) PostContract(ctx context.Context, in *PostContractRequest, opts ...grpc.CallOption) (*ErrorCode, error) {
	out := new(ErrorCode)
	err := grpc.Invoke(ctx, "/api.Platform/PostContract", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *platformClient) JoinSignature(ctx context.Context, in *JoinSignatureRequest, opts ...grpc.CallOption) (*ErrorCode, error) {
	out := new(ErrorCode)
	err := grpc.Invoke(ctx, "/api.Platform/JoinSignature", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *platformClient) ReadySign(ctx context.Context, in *ReadySignRequest, opts ...grpc.CallOption) (*ErrorCode, error) {
	out := new(ErrorCode)
	err := grpc.Invoke(ctx, "/api.Platform/ReadySign", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for Platform service

type PlatformServer interface {
	Register(context.Context, *RegisterRequest) (*ErrorCode, error)
	Auth(context.Context, *AuthRequest) (*RegisteredUser, error)
	Unregister(context.Context, *Empty) (*ErrorCode, error)
	PostContract(context.Context, *PostContractRequest) (*ErrorCode, error)
	JoinSignature(context.Context, *JoinSignatureRequest) (*ErrorCode, error)
	ReadySign(context.Context, *ReadySignRequest) (*ErrorCode, error)
}

func RegisterPlatformServer(s *grpc.Server, srv PlatformServer) {
	s.RegisterService(&_Platform_serviceDesc, srv)
}

func _Platform_Register_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error) (interface{}, error) {
	in := new(RegisterRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	out, err := srv.(PlatformServer).Register(ctx, in)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func _Platform_Auth_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error) (interface{}, error) {
	in := new(AuthRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	out, err := srv.(PlatformServer).Auth(ctx, in)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func _Platform_Unregister_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	out, err := srv.(PlatformServer).Unregister(ctx, in)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func _Platform_PostContract_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error) (interface{}, error) {
	in := new(PostContractRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	out, err := srv.(PlatformServer).PostContract(ctx, in)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func _Platform_JoinSignature_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error) (interface{}, error) {
	in := new(JoinSignatureRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	out, err := srv.(PlatformServer).JoinSignature(ctx, in)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func _Platform_ReadySign_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error) (interface{}, error) {
	in := new(ReadySignRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	out, err := srv.(PlatformServer).ReadySign(ctx, in)
	if err != nil {
		return nil, err
	}
	return out, nil
}

var _Platform_serviceDesc = grpc.ServiceDesc{
	ServiceName: "api.Platform",
	HandlerType: (*PlatformServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "Register",
			Handler:    _Platform_Register_Handler,
		},
		{
			MethodName: "Auth",
			Handler:    _Platform_Auth_Handler,
		},
		{
			MethodName: "Unregister",
			Handler:    _Platform_Unregister_Handler,
		},
		{
			MethodName: "PostContract",
			Handler:    _Platform_PostContract_Handler,
		},
		{
			MethodName: "JoinSignature",
			Handler:    _Platform_JoinSignature_Handler,
		},
		{
			MethodName: "ReadySign",
			Handler:    _Platform_ReadySign_Handler,
		},
	},
	Streams: []grpc.StreamDesc{},
}

var fileDescriptor0 = []byte{
	// 416 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x09, 0x6e, 0x88, 0x02, 0xff, 0x94, 0x53, 0xd1, 0xaa, 0xd3, 0x40,
	0x10, 0xf5, 0x36, 0xb7, 0xf7, 0xb6, 0x63, 0xef, 0xb5, 0x4c, 0xab, 0xc4, 0x3e, 0x88, 0xec, 0x93,
	0xf8, 0x50, 0xa1, 0x8a, 0xa0, 0xf8, 0x22, 0xa1, 0x2f, 0x22, 0x52, 0xb6, 0xf4, 0x03, 0x62, 0x32,
	0xc6, 0xa5, 0x4d, 0x36, 0xee, 0x6e, 0x84, 0x7e, 0xa3, 0x3f, 0xe5, 0x66, 0xb3, 0x09, 0x8d, 0x06,
	0xc1, 0xa7, 0xec, 0x99, 0xd9, 0x73, 0x66, 0xe6, 0xcc, 0x06, 0x30, 0xe3, 0xbb, 0x68, 0x4f, 0xea,
	0xa7, 0x48, 0x48, 0xaf, 0x4b, 0x25, 0x8d, 0xc4, 0x20, 0x2e, 0x05, 0x7b, 0x07, 0x8f, 0x38, 0x65,
	0x42, 0x1b, 0x52, 0x9c, 0x7e, 0x54, 0xa4, 0x0d, 0x2e, 0x61, 0x4c, 0x79, 0x2c, 0x4e, 0xe1, 0xd5,
	0xf3, 0xab, 0x17, 0x53, 0xde, 0x00, 0x9c, 0x43, 0x70, 0xa4, 0x73, 0x38, 0x72, 0xb1, 0xfa, 0x68,
	0xa9, 0xd3, 0xad, 0x52, 0x52, 0x45, 0x32, 0x25, 0x44, 0xb8, 0x4e, 0xec, 0xd7, 0x71, 0xc6, 0xdc,
	0x9d, 0x31, 0x84, 0xdb, 0x9c, 0xb4, 0x8e, 0x33, 0xf2, 0xb4, 0x16, 0x5a, 0xea, 0xc3, 0x8f, 0x95,
	0xf9, 0xfe, 0xef, 0x8a, 0x36, 0x6a, 0xe4, 0x91, 0x0a, 0x4f, 0x6e, 0x00, 0xfb, 0x0c, 0xf7, 0x6d,
	0xc3, 0x94, 0x1e, 0x34, 0x29, 0x5c, 0xc1, 0x44, 0x49, 0x69, 0x22, 0x52, 0xc6, 0x09, 0xcc, 0x78,
	0x87, 0xf1, 0x19, 0x40, 0x72, 0x12, 0x54, 0x34, 0xd9, 0x91, 0xcb, 0x5e, 0x44, 0xd8, 0x2d, 0x8c,
	0xb7, 0x79, 0x69, 0xce, 0x2c, 0x81, 0xc5, 0x4e, 0x6a, 0x13, 0xc9, 0xc2, 0xa8, 0x38, 0x31, 0x6d,
	0x67, 0x56, 0x3b, 0xf1, 0x21, 0xdf, 0x5c, 0x87, 0xf1, 0x09, 0xdc, 0x68, 0x91, 0x15, 0xa4, 0xac,
	0x6e, 0x60, 0x33, 0x1e, 0xd5, 0x63, 0x27, 0x32, 0xcf, 0x6d, 0x89, 0x30, 0x68, 0xc6, 0xf6, 0x90,
	0x7d, 0x81, 0xe5, 0x27, 0x29, 0x8a, 0xbd, 0xbd, 0x17, 0x9b, 0x4a, 0x51, 0x5b, 0x85, 0xc1, 0xac,
	0x55, 0x3d, 0x54, 0x22, 0xf5, 0x95, 0x7a, 0xb1, 0xda, 0xe0, 0x52, 0xfa, 0x19, 0xee, 0xb8, 0x3b,
	0xb3, 0xb7, 0x30, 0xe7, 0x14, 0xa7, 0xe7, 0x5a, 0xf0, 0x3f, 0xb4, 0x36, 0xbf, 0x46, 0x30, 0xd9,
	0x9d, 0x62, 0xf3, 0x4d, 0xaa, 0x1c, 0x37, 0x30, 0x69, 0x0d, 0xc5, 0xe5, 0xda, 0xbe, 0x89, 0xf5,
	0x1f, 0x0f, 0x62, 0x75, 0xef, 0xa2, 0xdd, 0xae, 0xd9, 0x03, 0x7c, 0x05, 0xd7, 0xf5, 0xfe, 0x70,
	0xee, 0x32, 0x17, 0xab, 0x5c, 0x2d, 0x7a, 0x0a, 0xcd, 0x86, 0x2c, 0xe1, 0x25, 0xc0, 0xa1, 0x50,
	0x6d, 0x19, 0x68, 0x04, 0x6b, 0xe3, 0x07, 0xc4, 0xdf, 0xc3, 0xec, 0x72, 0x15, 0x18, 0xba, 0x1b,
	0x03, 0xdb, 0x19, 0xe0, 0x7e, 0x80, 0xbb, 0x9e, 0xc3, 0xf8, 0xd4, 0x5d, 0x19, 0x72, 0x7d, 0x80,
	0xfd, 0x06, 0xa6, 0x9d, 0x9f, 0xf8, 0xd8, 0x4f, 0xd2, 0xf7, 0xf7, 0x6f, 0xd6, 0xd7, 0x1b, 0xf7,
	0x3b, 0xbd, 0xfe, 0x1d, 0x00, 0x00, 0xff, 0xff, 0x17, 0x95, 0x89, 0x4a, 0x64, 0x03, 0x00, 0x00,
}
